wibble::log::Sender Struct Referenceabstract

Handle sending a log message. More...

`#include <stream.h>`

Inheritance diagram for wibble::log::Sender:
[legend]

## Public Member Functions

virtual | ~Sender ()
virtual void | send (Level level, const std::string &msg)=0
| Log one line of text with the given level. More...

## Detailed Description

Handle sending a log message.

## Constructor & Destructor Documentation

## ~Sender()

virtual wibble::log::Sender::~Sender | ( |  | ) |

inline virtual

## Member Function Documentation

## send()

virtual void wibble::log::Sender::send | ( | Level | level,
|  | const std::string & | msg
| ) |  |

pure virtual

Log one line of text with the given level.

Do not add a trailing newline

Implemented in wibble::log::Tee, wibble::log::LevelFilter, wibble::log::OstreamSender, wibble::log::NullSender, wibble::log::Timestamper, and wibble::log::FileSender.

Referenced by wibble::log::Streambuf::send(), wibble::log::Timestamper::send(), and wibble::log::LevelFilter::send().

The documentation for this struct was generated from the following file:

- stream.h